import { InstanceConfig } from "../types";
declare const _default: (config: InstanceConfig) => {
    /**
     * HTTP 客户端
     */
    instance: import("axios").AxiosInstance;
    /**
     * 流程定义相关接口
     */
    definition: {
        flowChart: (instanceId: number) => import("../types").PResponse<string>;
    };
    /**
     * 流程实例相关接口
     */
    execute: {
        toDoPage: (flowTask: Partial<import("./execute").FlowTask>, pageNum?: number, pageSize?: number) => import("../types").PResponse<import("../types").PageResult<import("./execute").FlowTaskVO>>;
        completeTask: (completeTaskForm: import("./execute").CompleteTaskForm) => import("../types").PResponse<void>;
        doneList: (instanceId: number) => import("../types").PResponse<import("./execute").FlowHisTask[]>;
    };
};
export default _default;
export type * from './execute';
