import { AxiosInstance, AxiosResponse, CreateAxiosDefaults } from "axios";
export declare type HttpClient = AxiosInstance;
export declare type InstanceConfig = CreateAxiosDefaults;
export declare type HttpResponse<T> = AxiosResponse<T>;
export declare type PResponse<T> = Promise<HttpResponse<ResponseDTO<T>>>;
/**
 * 请求返回对象
 */
export interface ResponseDTO<T> {
    /**
     * 返回码
     */
    code: number;
    /**
     * 返回数据
     */
    data?: T;
    msg?: string;
    ok: boolean;
}
/**
 * 分页对象
 */
export interface PageResult<T> {
    /**
     * 当前页
     */
    pageNum: number;
    /**
     * 每页数量
     */
    pageSize: number;
    /**
     * 总记录数
     */
    total: number;
    /**
     * 总页数
     */
    pages: number;
    /**
     * 结果集
     */
    list: T[];
    /**
     * 是否为空
     */
    emptyFlag: boolean;
}
